using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Statistics
{
	/// <summary>
	/// 受理类型分时统计
	/// </summary>
	[Description("受理类型分时统计")]
	[SugarIndex("index_statisticsPurTypeSatisfied_insertTime", nameof(StatisticsPurTypeSatisfied.InsertTime), OrderByType.Desc)]
	public class StatisticsPurTypeSatisfied : CreationEntity
	{

		/// <summary>
		/// 小计
		/// </summary>
		[SugarColumn(ColumnDescription = "小计")]
		public int Total { get; set; }


		/// <summary>
		/// 咨询
		/// </summary>
		[SugarColumn(ColumnDescription = "咨询")]
		public int Consult { get; set; }

		/// <summary>
		/// 建议
		/// </summary>
		[SugarColumn(ColumnDescription = "建议")]
		public int Suggest { get; set; }

		/// <summary>
		/// 求助
		/// </summary>
		[SugarColumn(ColumnDescription = "求助")]
		public int SeekHelp { get; set; }

		/// <summary>
		/// 表扬
		/// </summary>
		[SugarColumn(ColumnDescription = "表扬")]
		public int Praise { get; set; }

		/// <summary>
		/// 举报
		/// </summary>
		[SugarColumn(ColumnDescription = "举报")]
		public int Report { get; set; }

		/// <summary>
		/// 投诉
		/// </summary>
		[SugarColumn(ColumnDescription = "投诉")]
		public int Complaint { get; set; }

		/// <summary>
		/// 其他
		/// </summary>
		[SugarColumn(ColumnDescription = "其他")]
		public int Rests { get; set; }

		/// <summary>
		/// 大气污染举报
		/// </summary>
		[SugarColumn(ColumnDescription = "大气污染举报")]
		public int PollutionReporting { get; set; }

		/// <summary>
		/// 惠民帮助
		/// </summary>
		[SugarColumn(ColumnDescription = "惠民帮助")]
		public int PeopleHelp { get; set; }

		/// <summary>
		/// 意见
		/// </summary>
		[SugarColumn(ColumnDescription = "意见")]
		public int Opinion { get; set; }

		/// <summary>
		/// 疫情
		/// </summary>
		[SugarColumn(ColumnDescription = "疫情")]
		public int Epidemic { get; set; }

		/// <summary>
		/// 申报
		/// </summary>
		[SugarColumn(ColumnDescription = "申报")]
		public int Declare { get; set; }

		/// <summary>
		/// 无效
		/// </summary>
		[SugarColumn(ColumnDescription = "无效")]
		public int Invalid { get; set; }

		/// <summary>
		/// 统计日期
		/// </summary>
		[SugarColumn(ColumnDescription = "统计日期")]
		public DateTime Time { get; set; }

		/// <summary>
		/// 统计时限
		/// </summary>
		[SugarColumn(ColumnDescription = "统计时限")]
		public int Month { get; set; }

		/// <summary>
		/// 入库时间
		/// </summary>
		[SugarColumn(ColumnDescription = "入库时间")]
		public DateTime InsertTime { get; set; }
	}
}
